<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cybsp__types_8h" kind="file" language="C++">
    <compoundname>cybsp_types.h</compoundname>
    <includes local="yes">cyhal_pin_package.h</includes>
    <includedby local="yes" refid="cybsp_8h">cybsp.h</includedby>
    <incdepgraph>
      <node id="11">
        <label>cyhal_pin_package.h</label>
      </node>
      <node id="10">
        <label>cybsp_types.h</label>
        <link refid="cybsp__types_8h" />
        <childnode refid="11" relation="include">
        </childnode>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="group__group__bsp__pin__state_1gaedfd071923034a335d143b7b64579169" kind="define" prot="public" static="no">
        <name>CYBSP_LED_STATE_ON</name>
        <initializer>(0U)</initializer>
        <briefdescription>
<para>Pin state for the LED on. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="74" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="74" />
      </memberdef>
      <memberdef id="group__group__bsp__pin__state_1ga31577fad7e20fcb174e2ecbea2dd063e" kind="define" prot="public" static="no">
        <name>CYBSP_LED_STATE_OFF</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>Pin state for the LED off. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="80" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="80" />
      </memberdef>
      <memberdef id="group__group__bsp__pin__state_1ga7778aac7809929e1032f406b59cbad90" kind="define" prot="public" static="no">
        <name>CYBSP_BTN_PRESSED</name>
        <initializer>(0U)</initializer>
        <briefdescription>
<para>Pin state for when a button is pressed. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="86" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="86" />
      </memberdef>
      <memberdef id="group__group__bsp__pin__state_1gafb9176679302bc5b2e002ad7caa56b09" kind="define" prot="public" static="no">
        <name>CYBSP_BTN_OFF</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>Pin state for when a button is released. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="90" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="90" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__led_1gae7dcc47d4d611d3511c279de6992647a" kind="define" prot="public" static="no">
        <name>CYBSP_LED8</name>
        <initializer>(P2_5)</initializer>
        <briefdescription>
<para>LED 8; User LED1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="109" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="109" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__led_1gad0f804ddeb67eb76f649fcdcb633e9c7" kind="define" prot="public" static="no">
        <name>CYBSP_LED9</name>
        <initializer>(P2_7)</initializer>
        <briefdescription>
<para>LED 9; User LED2. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="113" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="113" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__led_1gaabc3ce31f840a85f1063ff3029ab79eb" kind="define" prot="public" static="no">
        <name>CYBSP_USER_LED1</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__led_1gae7dcc47d4d611d3511c279de6992647a">CYBSP_LED8</ref>)</initializer>
        <briefdescription>
<para>LED 8; User LED1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="118" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="118" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__led_1ga5e8df86514516cce06b41a40f749c898" kind="define" prot="public" static="no">
        <name>CYBSP_USER_LED2</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__led_1gad0f804ddeb67eb76f649fcdcb633e9c7">CYBSP_LED9</ref>)</initializer>
        <briefdescription>
<para>LED 9; User LED2. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="122" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="122" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__led_1gacc2bba8588b183ec1d448eda9a039d7c" kind="define" prot="public" static="no">
        <name>CYBSP_USER_LED</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__led_1gaabc3ce31f840a85f1063ff3029ab79eb">CYBSP_USER_LED1</ref>)</initializer>
        <briefdescription>
<para>LED 8; User LED1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="126" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="126" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__btn_1ga66053f56ad1d1992e7059a8734d8de14" kind="define" prot="public" static="no">
        <name>CYBSP_SW2</name>
        <initializer>(P0_4)</initializer>
        <briefdescription>
<para>Switch 2; User Button 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="138" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="138" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__btn_1ga719bfb6bb0a640a38d94febf75e45341" kind="define" prot="public" static="no">
        <name>CYBSP_USER_BTN1</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__btn_1ga66053f56ad1d1992e7059a8734d8de14">CYBSP_SW2</ref>)</initializer>
        <briefdescription>
<para>Switch 2; User Button 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="143" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="143" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__btn_1ga72717d2a6e1a64352274dfb2e5649ee9" kind="define" prot="public" static="no">
        <name>CYBSP_USER_BTN</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__btn_1ga719bfb6bb0a640a38d94febf75e45341">CYBSP_USER_BTN1</ref>)</initializer>
        <briefdescription>
<para>Switch 2; User Button 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="147" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="147" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gae1daa9ae5985d8f4002347eee1362c76" kind="define" prot="public" static="no">
        <name>CYBSP_DEBUG_UART_RX</name>
        <initializer>(P3_0)</initializer>
        <briefdescription>
<para>Pin: UART RX. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="160" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="160" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gaea8cd882c067c13b1411796d5235286d" kind="define" prot="public" static="no">
        <name>CYBSP_DEBUG_UART_TX</name>
        <initializer>(P3_1)</initializer>
        <briefdescription>
<para>Pin: UART TX. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="164" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="164" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga034bfe0f68224dd376a9a79e07ab3451" kind="define" prot="public" static="no">
        <name>CYBSP_I2C_SCL</name>
        <initializer>(P6_4)</initializer>
        <briefdescription>
<para>Pin: I2C SCL. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="169" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="169" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gad178ee7378678fe5829a826f9a4ed0b8" kind="define" prot="public" static="no">
        <name>CYBSP_I2C_SDA</name>
        <initializer>(P6_5)</initializer>
        <briefdescription>
<para>Pin: I2C SDA. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="173" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="173" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga83425838dc05860473aebf66214ed9d3" kind="define" prot="public" static="no">
        <name>CYBSP_SWO</name>
        <initializer>(P6_4)</initializer>
        <briefdescription>
<para>Pin: SWO. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="178" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="178" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga9fba070d4040d6aa4f3e429bdfc38946" kind="define" prot="public" static="no">
        <name>CYBSP_SWDIO</name>
        <initializer>(P6_6)</initializer>
        <briefdescription>
<para>Pin: SWDIO. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="182" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="182" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga8f50aad29445466679abdcc75dcd9796" kind="define" prot="public" static="no">
        <name>CYBSP_SWDCK</name>
        <initializer>(P6_7)</initializer>
        <briefdescription>
<para>Pin: SWDCK. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="186" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="186" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga020ca7a044acda4b35e451513e5830df" kind="define" prot="public" static="no">
        <name>CYBSP_QSPI_SS</name>
        <initializer>(P11_2)</initializer>
        <briefdescription>
<para>Pin: QUAD SPI SS. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="191" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="191" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga2ad55ac5a5ea027d72c8f702c7f9bbde" kind="define" prot="public" static="no">
        <name>CYBSP_QSPI_D3</name>
        <initializer>(P11_3)</initializer>
        <briefdescription>
<para>Pin: QUAD SPI D3. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="195" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="195" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gada7037ba6e38219866f2892f87886b62" kind="define" prot="public" static="no">
        <name>CYBSP_QSPI_D2</name>
        <initializer>(P11_4)</initializer>
        <briefdescription>
<para>Pin: QUAD SPI D2. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="199" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="199" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga432faefd95828b8d45709aa8302a9433" kind="define" prot="public" static="no">
        <name>CYBSP_QSPI_D1</name>
        <initializer>(P11_5)</initializer>
        <briefdescription>
<para>Pin: QUAD SPI D1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="203" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="203" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gaaea1a4ddc9aa57c45c4d6695b78ee878" kind="define" prot="public" static="no">
        <name>CYBSP_QSPI_D0</name>
        <initializer>(P11_6)</initializer>
        <briefdescription>
<para>Pin: QUAD SPI D0. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="207" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="207" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga2bae07a55adc9f31e828312bc8fbdd82" kind="define" prot="public" static="no">
        <name>CYBSP_QSPI_SCK</name>
        <initializer>(P11_7)</initializer>
        <briefdescription>
<para>Pin: QUAD SPI SCK. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="211" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="211" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga07b4c8b6a15a1e614ff9be2ebe8088fd" kind="define" prot="public" static="no">
        <name>CYBSP_SPI_MOSI</name>
        <initializer>(P12_0)</initializer>
        <briefdescription>
<para>Pin: SPI MOSI. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="216" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="216" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gaf6282da9ac2be0fe7a4ac84735a24bb0" kind="define" prot="public" static="no">
        <name>CYBSP_SPI_MISO</name>
        <initializer>(P12_1)</initializer>
        <briefdescription>
<para>Pin: SPI MISO. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="220" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="220" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gabeb93b3f9b953934666f83a1a97c4367" kind="define" prot="public" static="no">
        <name>CYBSP_SPI_CLK</name>
        <initializer>(P12_2)</initializer>
        <briefdescription>
<para>Pin: SPI CLK. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="224" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="224" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gad8d3655d655bb752363587ea521c8856" kind="define" prot="public" static="no">
        <name>CYBSP_SPI_CS</name>
        <initializer>(P12_4)</initializer>
        <briefdescription>
<para>Pin: SPI CS. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="228" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="228" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1gae4c804044ed1e8745433efc32f1e3de5" kind="define" prot="public" static="no">
        <name>CYBSP_A0</name>
        <initializer>(P10_0)</initializer>
        <briefdescription>
<para>Arduino A0. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="241" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="241" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1gaeb5533ea084a75773bd3f2aaf3363ac9" kind="define" prot="public" static="no">
        <name>CYBSP_A1</name>
        <initializer>(P10_1)</initializer>
        <briefdescription>
<para>Arduino A1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="245" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="245" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga3e497e03e8e9d8bd597f01426bc4b70a" kind="define" prot="public" static="no">
        <name>CYBSP_A2</name>
        <initializer>(P10_2)</initializer>
        <briefdescription>
<para>Arduino A2. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="249" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="249" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga53d1f02f664bd82f42989ffa5d34912e" kind="define" prot="public" static="no">
        <name>CYBSP_A3</name>
        <initializer>(P10_3)</initializer>
        <briefdescription>
<para>Arduino A3. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="253" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="253" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga7d1263cd4a6e3a4225e69496f200519a" kind="define" prot="public" static="no">
        <name>CYBSP_A4</name>
        <initializer>(P10_4)</initializer>
        <briefdescription>
<para>Arduino A4. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="257" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="257" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga82f65194bfe335814d88649a2033b2f4" kind="define" prot="public" static="no">
        <name>CYBSP_A5</name>
        <initializer>(P10_5)</initializer>
        <briefdescription>
<para>Arduino A5. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="261" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="261" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1gaf3f59a1b7b94013adedd43cf3598af0a" kind="define" prot="public" static="no">
        <name>CYBSP_D0</name>
        <initializer>(P3_0)</initializer>
        <briefdescription>
<para>Arduino D0. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="265" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="265" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga815d622465be76739d8e71d75725b7a5" kind="define" prot="public" static="no">
        <name>CYBSP_D1</name>
        <initializer>(P3_1)</initializer>
        <briefdescription>
<para>Arduino D1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="269" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="269" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga87244e296d0eefe46f1bb9a579b435fa" kind="define" prot="public" static="no">
        <name>CYBSP_D2</name>
        <initializer>(P5_0)</initializer>
        <briefdescription>
<para>Arduino D2. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="273" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="273" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga77222cbe7f9f94826b9970c6bc4843aa" kind="define" prot="public" static="no">
        <name>CYBSP_D3</name>
        <initializer>(P5_1)</initializer>
        <briefdescription>
<para>Arduino D3. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="277" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="277" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga909572ea000d856223c6298cfd4fd067" kind="define" prot="public" static="no">
        <name>CYBSP_D4</name>
        <initializer>(P5_6)</initializer>
        <briefdescription>
<para>Arduino D4. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="281" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="281" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1gae918eeaea45fa81576613eebef34335b" kind="define" prot="public" static="no">
        <name>CYBSP_D5</name>
        <initializer>(P5_7)</initializer>
        <briefdescription>
<para>Arduino D5. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="285" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="285" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1gaa436fdcdd1417ce4db7d0d8d4615d60b" kind="define" prot="public" static="no">
        <name>CYBSP_D6</name>
        <initializer>(P9_0)</initializer>
        <briefdescription>
<para>Arduino D6. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="289" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="289" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga0875edb9e551c5eb01ac66dd27faf33a" kind="define" prot="public" static="no">
        <name>CYBSP_D7</name>
        <initializer>(P9_1)</initializer>
        <briefdescription>
<para>Arduino D7. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="293" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="293" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga403c81e9f770b42e8a77668c9695b2dd" kind="define" prot="public" static="no">
        <name>CYBSP_D8</name>
        <initializer>(P9_2)</initializer>
        <briefdescription>
<para>Arduino D8. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="297" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="297" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1gab89ecd0381439ac9c927af7538f2afc4" kind="define" prot="public" static="no">
        <name>CYBSP_D9</name>
        <initializer>(P9_3)</initializer>
        <briefdescription>
<para>Arduino D9. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="301" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="301" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga1246432b2f280267d3b9fd90028f6244" kind="define" prot="public" static="no">
        <name>CYBSP_D10</name>
        <initializer>(P2_3)</initializer>
        <briefdescription>
<para>Arduino D10. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="305" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="305" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1gac7cddcd52b382156d8cb1af96d7988b8" kind="define" prot="public" static="no">
        <name>CYBSP_D11</name>
        <initializer>(P2_0)</initializer>
        <briefdescription>
<para>Arduino D11. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="309" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="309" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1gaf9602a0824b644e2c54716c328b659e8" kind="define" prot="public" static="no">
        <name>CYBSP_D12</name>
        <initializer>(P2_1)</initializer>
        <briefdescription>
<para>Arduino D12. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="313" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="313" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1gabe652026d9d18fa2c626f744e260e36e" kind="define" prot="public" static="no">
        <name>CYBSP_D13</name>
        <initializer>(P2_2)</initializer>
        <briefdescription>
<para>Arduino D13. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="317" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="317" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga7831843f5ca6c713a7adcb01291640f9" kind="define" prot="public" static="no">
        <name>CYBSP_D14</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Arduino D14. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="321" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="321" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga5234f3a9694175eb70c5e20b9c1d30aa" kind="define" prot="public" static="no">
        <name>CYBSP_D15</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Arduino D15. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="325" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="325" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j2_1ga2928c0efaf596b9a1a2739be34d30afa" kind="define" prot="public" static="no">
        <name>CYBSP_J2_1</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__arduino_1gae4c804044ed1e8745433efc32f1e3de5">CYBSP_A0</ref>)</initializer>
        <briefdescription>
<para>Cypress J2 Header pin 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="338" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="338" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j2_1gab60587a5479714795602b0bbfaef85a4" kind="define" prot="public" static="no">
        <name>CYBSP_J2_2</name>
        <initializer>(P8_1)</initializer>
        <briefdescription>
<para>Cypress J2 Header pin 2. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="342" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="342" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j2_1ga48ff7a9d2f79351cd745bf00ebe1d6ea" kind="define" prot="public" static="no">
        <name>CYBSP_J2_3</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__arduino_1gaeb5533ea084a75773bd3f2aaf3363ac9">CYBSP_A1</ref>)</initializer>
        <briefdescription>
<para>Cypress J2 Header pin 3. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="346" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="346" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j2_1ga84ef9b47650cc51e597bee8359de6ae2" kind="define" prot="public" static="no">
        <name>CYBSP_J2_4</name>
        <initializer>(P8_0)</initializer>
        <briefdescription>
<para>Cypress J2 Header pin 4. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="350" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="350" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j2_1ga3da7a7ac8f0659e9a5cc2a397cf4aeb0" kind="define" prot="public" static="no">
        <name>CYBSP_J2_5</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__arduino_1ga3e497e03e8e9d8bd597f01426bc4b70a">CYBSP_A2</ref>)</initializer>
        <briefdescription>
<para>Cypress J2 Header pin 5. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="354" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="354" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j2_1gaca9046114145221ee2c371e71cce7133" kind="define" prot="public" static="no">
        <name>CYBSP_J2_6</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Cypress J2 Header pin 6. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="358" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="358" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j2_1ga582997c2fc8247293d7931cbb840798a" kind="define" prot="public" static="no">
        <name>CYBSP_J2_7</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__arduino_1ga53d1f02f664bd82f42989ffa5d34912e">CYBSP_A3</ref>)</initializer>
        <briefdescription>
<para>Cypress J2 Header pin 7. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="362" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="362" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j2_1ga3db3544314aaadb183474c2b08f90ac6" kind="define" prot="public" static="no">
        <name>CYBSP_J2_8</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Cypress J2 Header pin 8. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="366" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="366" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j2_1ga37bc159883dafce4a540940658d38101" kind="define" prot="public" static="no">
        <name>CYBSP_J2_9</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__arduino_1ga7d1263cd4a6e3a4225e69496f200519a">CYBSP_A4</ref>)</initializer>
        <briefdescription>
<para>Cypress J2 Header pin 9. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="370" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="370" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j2_1ga720c63483ba499f759c07d878894c816" kind="define" prot="public" static="no">
        <name>CYBSP_J2_10</name>
        <initializer>(P7_3)</initializer>
        <briefdescription>
<para>Cypress J2 Header pin 10. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="374" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="374" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j2_1gacd997157d0fe86fbea789eac342ec458" kind="define" prot="public" static="no">
        <name>CYBSP_J2_11</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__arduino_1ga82f65194bfe335814d88649a2033b2f4">CYBSP_A5</ref>)</initializer>
        <briefdescription>
<para>Cypress J2 Header pin 11. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="378" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="378" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j2_1gacfd14b254b5a18710b786ec15f43759c" kind="define" prot="public" static="no">
        <name>CYBSP_J2_12</name>
        <initializer>(P7_2)</initializer>
        <briefdescription>
<para>Cypress J2 Header pin 12. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="382" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="382" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j2_1ga234dcb185b3018eef4e63f99fa6ae432" kind="define" prot="public" static="no">
        <name>CYBSP_J2_13</name>
        <initializer>(P10_6)</initializer>
        <briefdescription>
<para>Cypress J2 Header pin 13. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="386" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="386" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j2_1ga6b69472cf97a36f5e2a3b9adce3ca609" kind="define" prot="public" static="no">
        <name>CYBSP_J2_14</name>
        <initializer>(P7_1)</initializer>
        <briefdescription>
<para>Cypress J2 Header pin 14. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="390" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="390" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j2_1ga5192402f5a9902f68c95dc873a6d7737" kind="define" prot="public" static="no">
        <name>CYBSP_J2_15</name>
        <initializer>(P10_7)</initializer>
        <briefdescription>
<para>Cypress J2 Header pin 15. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="394" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="394" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j2_1ga6163fd86d72d8841a5f3426ab8b9a0a3" kind="define" prot="public" static="no">
        <name>CYBSP_J2_16</name>
        <initializer>(P7_0)</initializer>
        <briefdescription>
<para>Cypress J2 Header pin 16. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" bodystart="398" column="9" file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" line="398" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Description: Provides APIs for interacting with the hardware contained on the Cypress CY8CKIT-062S4 pioneer kit. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="26"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_USING_HAL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_pin_package.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(COMPONENT_BSP_DESIGN_MODUS)<sp />||<sp />defined(COMPONENT_CUSTOM_DESIGN_MODUS)</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cycfg.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="preprocessor">#ifndef<sp />CYBSP_LED_STATE_ON</highlight><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />CYBSP_LED_STATE_ON</highlight><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_LED_STATE_ON<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="preprocessor">#ifndef<sp />CYBSP_LED_STATE_OFF</highlight><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />CYBSP_LED_STATE_OFF</highlight><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_LED_STATE_OFF<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="preprocessor">#ifndef<sp />CYBSP_BTN_PRESSED</highlight><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_BTN_PRESSED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="88"><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="preprocessor">#ifndef<sp />CYBSP_BTN_OFF</highlight><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_BTN_OFF<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="92"><highlight class="normal" /></codeline>
<codeline lineno="95"><highlight class="preprocessor">#if<sp />defined(CY_USING_HAL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="96"><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="preprocessor">#ifndef<sp />CYBSP_LED8</highlight><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_LED8<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P2_5)</highlight><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="preprocessor">#ifndef<sp />CYBSP_LED9</highlight><highlight class="normal" /></codeline>
<codeline lineno="113"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_LED9<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P2_7)</highlight><highlight class="normal" /></codeline>
<codeline lineno="114"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="115"><highlight class="normal" /></codeline>
<codeline lineno="117"><highlight class="preprocessor">#ifndef<sp />CYBSP_USER_LED1</highlight><highlight class="normal" /></codeline>
<codeline lineno="118"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_USER_LED1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_LED8)</highlight><highlight class="normal" /></codeline>
<codeline lineno="119"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="120"><highlight class="normal" /></codeline>
<codeline lineno="121"><highlight class="preprocessor">#ifndef<sp />CYBSP_USER_LED2</highlight><highlight class="normal" /></codeline>
<codeline lineno="122"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_USER_LED2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_LED9)</highlight><highlight class="normal" /></codeline>
<codeline lineno="123"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="124"><highlight class="normal" /></codeline>
<codeline lineno="125"><highlight class="preprocessor">#ifndef<sp />CYBSP_USER_LED</highlight><highlight class="normal" /></codeline>
<codeline lineno="126"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_USER_LED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_USER_LED1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="127"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="128"><highlight class="normal" /></codeline>
<codeline lineno="137"><highlight class="preprocessor">#ifndef<sp />CYBSP_SW2</highlight><highlight class="normal" /></codeline>
<codeline lineno="138"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_SW2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P0_4)</highlight><highlight class="normal" /></codeline>
<codeline lineno="139"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="normal" /></codeline>
<codeline lineno="142"><highlight class="preprocessor">#ifndef<sp />CYBSP_USER_BTN1</highlight><highlight class="normal" /></codeline>
<codeline lineno="143"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_USER_BTN1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_SW2)</highlight><highlight class="normal" /></codeline>
<codeline lineno="144"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="145"><highlight class="normal" /></codeline>
<codeline lineno="146"><highlight class="preprocessor">#ifndef<sp />CYBSP_USER_BTN</highlight><highlight class="normal" /></codeline>
<codeline lineno="147"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_USER_BTN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_USER_BTN1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="148"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="149"><highlight class="normal" /></codeline>
<codeline lineno="159"><highlight class="preprocessor">#ifndef<sp />CYBSP_DEBUG_UART_RX</highlight><highlight class="normal" /></codeline>
<codeline lineno="160"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_DEBUG_UART_RX<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P3_0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="161"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="162"><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="preprocessor">#ifndef<sp />CYBSP_DEBUG_UART_TX</highlight><highlight class="normal" /></codeline>
<codeline lineno="164"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_DEBUG_UART_TX<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P3_1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="165"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="166"><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="preprocessor">#ifndef<sp />CYBSP_I2C_SCL</highlight><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_I2C_SCL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P6_4)</highlight><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="171"><highlight class="normal" /></codeline>
<codeline lineno="172"><highlight class="preprocessor">#ifndef<sp />CYBSP_I2C_SDA</highlight><highlight class="normal" /></codeline>
<codeline lineno="173"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_I2C_SDA<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P6_5)</highlight><highlight class="normal" /></codeline>
<codeline lineno="174"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="175"><highlight class="normal" /></codeline>
<codeline lineno="177"><highlight class="preprocessor">#ifndef<sp />CYBSP_SWO</highlight><highlight class="normal" /></codeline>
<codeline lineno="178"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_SWO<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P6_4)</highlight><highlight class="normal" /></codeline>
<codeline lineno="179"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="180"><highlight class="normal" /></codeline>
<codeline lineno="181"><highlight class="preprocessor">#ifndef<sp />CYBSP_SWDIO</highlight><highlight class="normal" /></codeline>
<codeline lineno="182"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_SWDIO<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P6_6)</highlight><highlight class="normal" /></codeline>
<codeline lineno="183"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="184"><highlight class="normal" /></codeline>
<codeline lineno="185"><highlight class="preprocessor">#ifndef<sp />CYBSP_SWDCK</highlight><highlight class="normal" /></codeline>
<codeline lineno="186"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_SWDCK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P6_7)</highlight><highlight class="normal" /></codeline>
<codeline lineno="187"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="188"><highlight class="normal" /></codeline>
<codeline lineno="190"><highlight class="preprocessor">#ifndef<sp />CYBSP_QSPI_SS</highlight><highlight class="normal" /></codeline>
<codeline lineno="191"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_QSPI_SS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P11_2)</highlight><highlight class="normal" /></codeline>
<codeline lineno="192"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="193"><highlight class="normal" /></codeline>
<codeline lineno="194"><highlight class="preprocessor">#ifndef<sp />CYBSP_QSPI_D3</highlight><highlight class="normal" /></codeline>
<codeline lineno="195"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_QSPI_D3<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P11_3)</highlight><highlight class="normal" /></codeline>
<codeline lineno="196"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="normal" /></codeline>
<codeline lineno="198"><highlight class="preprocessor">#ifndef<sp />CYBSP_QSPI_D2</highlight><highlight class="normal" /></codeline>
<codeline lineno="199"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_QSPI_D2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P11_4)</highlight><highlight class="normal" /></codeline>
<codeline lineno="200"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="201"><highlight class="normal" /></codeline>
<codeline lineno="202"><highlight class="preprocessor">#ifndef<sp />CYBSP_QSPI_D1</highlight><highlight class="normal" /></codeline>
<codeline lineno="203"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_QSPI_D1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P11_5)</highlight><highlight class="normal" /></codeline>
<codeline lineno="204"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="205"><highlight class="normal" /></codeline>
<codeline lineno="206"><highlight class="preprocessor">#ifndef<sp />CYBSP_QSPI_D0</highlight><highlight class="normal" /></codeline>
<codeline lineno="207"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_QSPI_D0<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P11_6)</highlight><highlight class="normal" /></codeline>
<codeline lineno="208"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="209"><highlight class="normal" /></codeline>
<codeline lineno="210"><highlight class="preprocessor">#ifndef<sp />CYBSP_QSPI_SCK</highlight><highlight class="normal" /></codeline>
<codeline lineno="211"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_QSPI_SCK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P11_7)</highlight><highlight class="normal" /></codeline>
<codeline lineno="212"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="213"><highlight class="normal" /></codeline>
<codeline lineno="215"><highlight class="preprocessor">#ifndef<sp />CYBSP_SPI_MOSI</highlight><highlight class="normal" /></codeline>
<codeline lineno="216"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_SPI_MOSI<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P12_0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="217"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="218"><highlight class="normal" /></codeline>
<codeline lineno="219"><highlight class="preprocessor">#ifndef<sp />CYBSP_SPI_MISO</highlight><highlight class="normal" /></codeline>
<codeline lineno="220"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_SPI_MISO<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P12_1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="221"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="222"><highlight class="normal" /></codeline>
<codeline lineno="223"><highlight class="preprocessor">#ifndef<sp />CYBSP_SPI_CLK</highlight><highlight class="normal" /></codeline>
<codeline lineno="224"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_SPI_CLK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P12_2)</highlight><highlight class="normal" /></codeline>
<codeline lineno="225"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="226"><highlight class="normal" /></codeline>
<codeline lineno="227"><highlight class="preprocessor">#ifndef<sp />CYBSP_SPI_CS</highlight><highlight class="normal" /></codeline>
<codeline lineno="228"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_SPI_CS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P12_4)</highlight><highlight class="normal" /></codeline>
<codeline lineno="229"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="230"><highlight class="normal" /></codeline>
<codeline lineno="240"><highlight class="preprocessor">#ifndef<sp />CYBSP_A0</highlight><highlight class="normal" /></codeline>
<codeline lineno="241"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_A0<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P10_0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="242"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="243"><highlight class="normal" /></codeline>
<codeline lineno="244"><highlight class="preprocessor">#ifndef<sp />CYBSP_A1</highlight><highlight class="normal" /></codeline>
<codeline lineno="245"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_A1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P10_1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="246"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="247"><highlight class="normal" /></codeline>
<codeline lineno="248"><highlight class="preprocessor">#ifndef<sp />CYBSP_A2</highlight><highlight class="normal" /></codeline>
<codeline lineno="249"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_A2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P10_2)</highlight><highlight class="normal" /></codeline>
<codeline lineno="250"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="251"><highlight class="normal" /></codeline>
<codeline lineno="252"><highlight class="preprocessor">#ifndef<sp />CYBSP_A3</highlight><highlight class="normal" /></codeline>
<codeline lineno="253"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_A3<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P10_3)</highlight><highlight class="normal" /></codeline>
<codeline lineno="254"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="255"><highlight class="normal" /></codeline>
<codeline lineno="256"><highlight class="preprocessor">#ifndef<sp />CYBSP_A4</highlight><highlight class="normal" /></codeline>
<codeline lineno="257"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_A4<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P10_4)</highlight><highlight class="normal" /></codeline>
<codeline lineno="258"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="259"><highlight class="normal" /></codeline>
<codeline lineno="260"><highlight class="preprocessor">#ifndef<sp />CYBSP_A5</highlight><highlight class="normal" /></codeline>
<codeline lineno="261"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_A5<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P10_5)</highlight><highlight class="normal" /></codeline>
<codeline lineno="262"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="263"><highlight class="normal" /></codeline>
<codeline lineno="264"><highlight class="preprocessor">#ifndef<sp />CYBSP_D0</highlight><highlight class="normal" /></codeline>
<codeline lineno="265"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D0<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P3_0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="266"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="267"><highlight class="normal" /></codeline>
<codeline lineno="268"><highlight class="preprocessor">#ifndef<sp />CYBSP_D1</highlight><highlight class="normal" /></codeline>
<codeline lineno="269"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P3_1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="270"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="271"><highlight class="normal" /></codeline>
<codeline lineno="272"><highlight class="preprocessor">#ifndef<sp />CYBSP_D2</highlight><highlight class="normal" /></codeline>
<codeline lineno="273"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P5_0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="274"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="275"><highlight class="normal" /></codeline>
<codeline lineno="276"><highlight class="preprocessor">#ifndef<sp />CYBSP_D3</highlight><highlight class="normal" /></codeline>
<codeline lineno="277"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D3<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P5_1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="278"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="279"><highlight class="normal" /></codeline>
<codeline lineno="280"><highlight class="preprocessor">#ifndef<sp />CYBSP_D4</highlight><highlight class="normal" /></codeline>
<codeline lineno="281"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D4<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P5_6)</highlight><highlight class="normal" /></codeline>
<codeline lineno="282"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="283"><highlight class="normal" /></codeline>
<codeline lineno="284"><highlight class="preprocessor">#ifndef<sp />CYBSP_D5</highlight><highlight class="normal" /></codeline>
<codeline lineno="285"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D5<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P5_7)</highlight><highlight class="normal" /></codeline>
<codeline lineno="286"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="287"><highlight class="normal" /></codeline>
<codeline lineno="288"><highlight class="preprocessor">#ifndef<sp />CYBSP_D6</highlight><highlight class="normal" /></codeline>
<codeline lineno="289"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D6<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P9_0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="290"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="291"><highlight class="normal" /></codeline>
<codeline lineno="292"><highlight class="preprocessor">#ifndef<sp />CYBSP_D7</highlight><highlight class="normal" /></codeline>
<codeline lineno="293"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D7<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P9_1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="294"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="295"><highlight class="normal" /></codeline>
<codeline lineno="296"><highlight class="preprocessor">#ifndef<sp />CYBSP_D8</highlight><highlight class="normal" /></codeline>
<codeline lineno="297"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D8<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P9_2)</highlight><highlight class="normal" /></codeline>
<codeline lineno="298"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="299"><highlight class="normal" /></codeline>
<codeline lineno="300"><highlight class="preprocessor">#ifndef<sp />CYBSP_D9</highlight><highlight class="normal" /></codeline>
<codeline lineno="301"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D9<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P9_3)</highlight><highlight class="normal" /></codeline>
<codeline lineno="302"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="303"><highlight class="normal" /></codeline>
<codeline lineno="304"><highlight class="preprocessor">#ifndef<sp />CYBSP_D10</highlight><highlight class="normal" /></codeline>
<codeline lineno="305"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D10<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P2_3)</highlight><highlight class="normal" /></codeline>
<codeline lineno="306"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="307"><highlight class="normal" /></codeline>
<codeline lineno="308"><highlight class="preprocessor">#ifndef<sp />CYBSP_D11</highlight><highlight class="normal" /></codeline>
<codeline lineno="309"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D11<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P2_0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="310"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="311"><highlight class="normal" /></codeline>
<codeline lineno="312"><highlight class="preprocessor">#ifndef<sp />CYBSP_D12</highlight><highlight class="normal" /></codeline>
<codeline lineno="313"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D12<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P2_1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="314"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="315"><highlight class="normal" /></codeline>
<codeline lineno="316"><highlight class="preprocessor">#ifndef<sp />CYBSP_D13</highlight><highlight class="normal" /></codeline>
<codeline lineno="317"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D13<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P2_2)</highlight><highlight class="normal" /></codeline>
<codeline lineno="318"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="319"><highlight class="normal" /></codeline>
<codeline lineno="320"><highlight class="preprocessor">#ifndef<sp />CYBSP_D14</highlight><highlight class="normal" /></codeline>
<codeline lineno="321"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D14<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="322"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="323"><highlight class="normal" /></codeline>
<codeline lineno="324"><highlight class="preprocessor">#ifndef<sp />CYBSP_D15</highlight><highlight class="normal" /></codeline>
<codeline lineno="325"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D15<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="326"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="327"><highlight class="normal" /></codeline>
<codeline lineno="337"><highlight class="preprocessor">#ifndef<sp />CYBSP_J2_1</highlight><highlight class="normal" /></codeline>
<codeline lineno="338"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J2_1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_A0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="339"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="340"><highlight class="normal" /></codeline>
<codeline lineno="341"><highlight class="preprocessor">#ifndef<sp />CYBSP_J2_2</highlight><highlight class="normal" /></codeline>
<codeline lineno="342"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J2_2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P8_1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="343"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="344"><highlight class="normal" /></codeline>
<codeline lineno="345"><highlight class="preprocessor">#ifndef<sp />CYBSP_J2_3</highlight><highlight class="normal" /></codeline>
<codeline lineno="346"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J2_3<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_A1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="347"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="348"><highlight class="normal" /></codeline>
<codeline lineno="349"><highlight class="preprocessor">#ifndef<sp />CYBSP_J2_4</highlight><highlight class="normal" /></codeline>
<codeline lineno="350"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J2_4<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P8_0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="351"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="352"><highlight class="normal" /></codeline>
<codeline lineno="353"><highlight class="preprocessor">#ifndef<sp />CYBSP_J2_5</highlight><highlight class="normal" /></codeline>
<codeline lineno="354"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J2_5<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_A2)</highlight><highlight class="normal" /></codeline>
<codeline lineno="355"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="356"><highlight class="normal" /></codeline>
<codeline lineno="357"><highlight class="preprocessor">#ifndef<sp />CYBSP_J2_6</highlight><highlight class="normal" /></codeline>
<codeline lineno="358"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J2_6<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="359"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="360"><highlight class="normal" /></codeline>
<codeline lineno="361"><highlight class="preprocessor">#ifndef<sp />CYBSP_J2_7</highlight><highlight class="normal" /></codeline>
<codeline lineno="362"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J2_7<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_A3)</highlight><highlight class="normal" /></codeline>
<codeline lineno="363"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="364"><highlight class="normal" /></codeline>
<codeline lineno="365"><highlight class="preprocessor">#ifndef<sp />CYBSP_J2_8</highlight><highlight class="normal" /></codeline>
<codeline lineno="366"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J2_8<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="367"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="368"><highlight class="normal" /></codeline>
<codeline lineno="369"><highlight class="preprocessor">#ifndef<sp />CYBSP_J2_9</highlight><highlight class="normal" /></codeline>
<codeline lineno="370"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J2_9<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_A4)</highlight><highlight class="normal" /></codeline>
<codeline lineno="371"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="372"><highlight class="normal" /></codeline>
<codeline lineno="373"><highlight class="preprocessor">#ifndef<sp />CYBSP_J2_10</highlight><highlight class="normal" /></codeline>
<codeline lineno="374"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J2_10<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P7_3)</highlight><highlight class="normal" /></codeline>
<codeline lineno="375"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="376"><highlight class="normal" /></codeline>
<codeline lineno="377"><highlight class="preprocessor">#ifndef<sp />CYBSP_J2_11</highlight><highlight class="normal" /></codeline>
<codeline lineno="378"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J2_11<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_A5)</highlight><highlight class="normal" /></codeline>
<codeline lineno="379"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="380"><highlight class="normal" /></codeline>
<codeline lineno="381"><highlight class="preprocessor">#ifndef<sp />CYBSP_J2_12</highlight><highlight class="normal" /></codeline>
<codeline lineno="382"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J2_12<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P7_2)</highlight><highlight class="normal" /></codeline>
<codeline lineno="383"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="384"><highlight class="normal" /></codeline>
<codeline lineno="385"><highlight class="preprocessor">#ifndef<sp />CYBSP_J2_13</highlight><highlight class="normal" /></codeline>
<codeline lineno="386"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J2_13<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P10_6)</highlight><highlight class="normal" /></codeline>
<codeline lineno="387"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="388"><highlight class="normal" /></codeline>
<codeline lineno="389"><highlight class="preprocessor">#ifndef<sp />CYBSP_J2_14</highlight><highlight class="normal" /></codeline>
<codeline lineno="390"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J2_14<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P7_1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="391"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="392"><highlight class="normal" /></codeline>
<codeline lineno="393"><highlight class="preprocessor">#ifndef<sp />CYBSP_J2_15</highlight><highlight class="normal" /></codeline>
<codeline lineno="394"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J2_15<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P10_7)</highlight><highlight class="normal" /></codeline>
<codeline lineno="395"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="396"><highlight class="normal" /></codeline>
<codeline lineno="397"><highlight class="preprocessor">#ifndef<sp />CYBSP_J2_16</highlight><highlight class="normal" /></codeline>
<codeline lineno="398"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J2_16<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P7_0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="399"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="400"><highlight class="normal" /></codeline>
<codeline lineno="405"><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />defined(CY_USING_HAL)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="406"><highlight class="normal" /></codeline>
<codeline lineno="407"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="408"><highlight class="normal">}</highlight></codeline>
<codeline lineno="409"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight></codeline>
    </programlisting>
    <location file="bsp/boards/psoc6/CY8CKIT-062S4/cybsp_types.h" />
  </compounddef>
</doxygen>